POST
/v1/mgmt/otp/settingsAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
enabled?boolean
domain?string
Length
length <= 253expirationTime?integer
Format
int32expirationTimeUnit?string
emailConnectorId?string
Length
length <= 254textConnectorId?string
Length
length <= 254voiceConnectorId?string
Length
length <= 254emailTemplateId?string
Active template selection by id. Absent = keep the current selection; "" = reset to the built-in System template; a template id = select that stored template.
Length
length <= 254textTemplateId?string
Length
length <= 254voiceTemplateId?string
Length
length <= 254externalEmailTemplateId?string
Length
length <= 254Set the project's one-time passcode settings, using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/otp/settings" \ -H "Content-Type: application/json" \ -d '{}' Was this helpful?